Subject: Re: [RFC] Secure central repositories by UNIX socket authentication

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 28 Jan 2008 02:56:42 -0500

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > Hmm.  core.sharedrepository is sometimes a bad solution.
> >
> > core.sharedrepository means I need to give write access to both the
> > refs database and the object database to all members of the project.
> > Some of whom may not be able to be trusted with tools like "rm",
> > but who need real shell access to that system anyway.  And sometimes
> > management won't allow users to have two accounts on the same system
> > (one that is fixed to git-shell, and one that has a real shell)
> > because the world would implode if a user was given two different
> > accounts for two different access purposes.
...
> Another approach to do the same I can think of, without having
> to add 50 new accounts for 50 users, would be to collect a ssh
> key from each of these 50 users,

Also, our network of servers and desktops is actually now managed
entirely through Active Directory.  So all possible users already
have accounts on every server.  Passwords are synchronized across
the entire network.

In other words, all of the management overheads associated with
user accounts has already been paid.  Centralized SSH/SSL/PGP key
management is only adding an additional burden.  For my day-job
anyway.

-- 
Shawn.